## libntlm 1.8

=== examples/Makefile ===
dumper: dumper.c getargs.o
	gcc -g -I.. -o dumper dumper.c getargs.o ../libntlm.a
	
clean:
	rm -f *.a *.o dumper *.bak *~ \#*\#

## libntlm 0.3.13-1

=== debian/changelog ===
libntlm (0.3.13-1) unstable; urgency=low

  * New upstream release (Closes: #432220)
  * New maintainer (Closes: #443445)
  * Uses substvar binary:Version instead of Source-Version for binary NMUs
  * Complies with policy 3.7.2.2
  * Does not ignore make clean errors

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Fri, 21 Sep 2007 10:14:45 -0300

libntlm (0.3.10-1) unstable; urgency=low

  * Initial release (Closes: #364073).

 -- Yvan Bassuel <yvan@brutux.org>  Fri, 21 Apr 2006 15:34:54 +0200

=== debian/control ===
Source: libntlm
Priority: optional
Maintainer: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>
Uploaders: Thomas Maass <inyourface@gmx.de>
Build-Depends: debhelper (>= 4.0.0), autotools-dev
Standards-Version: 3.7.2.2
Section: libs

Package: libntlm0-dev
Section: libdevel
Architecture: any
Depends: libntlm0 (= ${binary:Version})
Description: Development files for the NTLM authentication library
 Libntlm is a library that implements Microsoft's NTLM authentication.
 This package contains all the files necessary for developing programs 
 with NTLM support.
 .
  Homepage: http://josefsson.org/libntlm/

Package: libntlm0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: NTLM authentication library
 NTLM is an authentication protocol used in various Microsoft network
 protocol implementations and supported by the NTLM Security Support
 Provider ("NTLMSSP"). Originally used for authentication and negotiation
 of secure DCE/RPC, NTLM is also used throughout Microsoft's systems as
 an integrated single sign-on mechanism.
 .           
 NTLM employs a challenge-response mechanism for authentication, in  which
 clients are able to prove their identities without sending a  password to
 the server. It consists of three messages, commonly referred  to as Type 1
 (negotiation), Type 2 (challenge) and Type 3 (authentication).
 .
   Homepage: http://josefsson.org/libntlm/

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

version=2.0.5
major=2

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS) -Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	if test -f Makefile; then $(MAKE) distclean; fi

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://josefsson.org/libntlm/releases/libntlm-(.*)\.tar\.gz debian uupdate

## libntlm 1.4

=== debian/changelog ===
libntlm (1.4-8) unstable; urgency=low

  * Use https URLs in Vcs-Browser and Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.
  * Build with hardening=+all.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 18 Jul 2016 14:59:25 +0200

libntlm (1.4-7) unstable; urgency=low

  * Move to collab-maint.  Closes: #781202.
  * Add debian/gbp.conf and update debian/README.source.
  * Silence description-contains-invalid-control-statement.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 21 Apr 2015 09:10:45 +0200

libntlm (1.4-6) unstable; urgency=low

  * Bump Standards-Version from 3.9.5 to 3.9.6.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 03 Jan 2015 00:02:40 +0100

libntlm (1.4-5) unstable; urgency=low

  * Clarify gnulib files in copyright.  Mention ntlm.h* too.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Nov 2014 12:51:10 +0100

libntlm (1.4-4) unstable; urgency=low

  * Don't use autotools-dev since we use dh-autoreconf.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Sep 2014 23:12:47 +0200

libntlm (1.4-3) unstable; urgency=low

  * Fix License: header in copyright to silence lintian.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 12 Sep 2014 16:00:52 +0200

libntlm (1.4-2) unstable; urgency=low

  * Add debian/upstream-signing-key.pgp.
  * Improve watch file (pgp).
  * Bump Standards-Version from 3.9.4 to 3.9.5.
  * Use dh --parallel.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Apr 2014 20:20:18 +0200

libntlm (1.4-1) unstable; urgency=low

  * New upstream version.
    - Calls AM_PROG_AR.  Closes: #713321
    - Tarball contains all files.  Dropping the dh_auto_clean workaround.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 08 Jul 2013 11:23:20 +0200

libntlm (1.2-3) unstable; urgency=low

  * Moved from experimental to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 14 May 2013 11:18:36 +0200

libntlm (1.2-2) experimental; urgency=low

  * Add README.source.
  * Bump compat from 5 to 9.
  * Build-Depend on autotools-dev and dh-autoreconf.
  * Bump Standards-Version from 3.8.4 to 3.9.4.
  * Update Homepage field with current URL.
  * Add Vcs-Git and Vcs-Browser fields.
  * Make multiarch friendly.
  * Use machine readable copyright file.
  * Drop *.dirs files.
  * Add libntlm0.symbols file.
  * Rewrite rules file, now uses "dh".
  * Added source/format as 3.0 (quilt).
  * Update watch file.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 11 May 2013 23:37:28 +0200

libntlm (1.2-1) unstable; urgency=low

  * New Upstream Version. Closes: #554722
  * Add ${misc:Depends} to binaries' Depends since we use debhelper.
    This makes lintian happier.
  * Update Standards-Version to 3.8.4. We still use GNU style variables
    for architecture specification, but that's because we use them with
    upstream build system, as allowed by policy.
  * Change Maintainer to XMPP team and add Simon Josefsson as uploader.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Tue, 30 Mar 2010 12:26:30 -0300

libntlm (1.1-1) unstable; urgency=low

  * New Upstream Version
  * Remove test.txt from debian docs, thanks Ted Percival. Closes: #471587
  * Backup and restore autogenerated files.
  * There's no /usr/share/pkgconfig/ any more.
  * Remove autotools-dev build-dependency.
  * Complies with Standards Version 3.8.2.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Sat, 11 Jul 2009 22:49:39 -0300

libntlm (1.0-1) UNRELEASED; urgency=low

  * New upstream release.
  * Updates debhelper compat level to 5.
  * Uses Homepage header field instead of pseudo-header in description.
  * Package complies with policy 3.7.3 since last version.
  * Package complies with policy 3.8.1 (only required change was homepage).
  * Backup and restore autoconf files in configure and clean rules.

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Wed, 01 Apr 2009 13:57:00 -0300

=== debian/control ===
Source: libntlm
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>,
 Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.8
Section: libs
Homepage: http://www.nongnu.org/libntlm/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libntlm.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libntlm.git

Package: libntlm0-dev
Section: libdevel
Architecture: any
Depends: libntlm0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the NTLM authentication library
 Libntlm is a library that implements Microsoft's NTLM authentication.
 This package contains all the files necessary for developing programs 
 with NTLM support.

Package: libntlm0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NTLM authentication library
 NTLM is an authentication protocol used in various Microsoft network
 protocol implementations and supported by the NTLM Security Support
 Provider ("NTLMSSP"). Originally used for authentication and negotiation
 of secure DCE/RPC, NTLM is also used throughout Microsoft's systems as
 an integrated single sign-on mechanism.
 .
 NTLM employs a challenge-response mechanism for authentication, in  which
 clients are able to prove their identities without sending a  password to
 the server. It consists of three messages, commonly referred  to as Type 1
 (negotiation), Type 2 (challenge) and Type 3 (authentication).

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --builddirectory=build --with autoreconf

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://www.nongnu.org/libntlm/releases/libntlm-(.+).tar.gz

## libntlm 1.5

=== debian/changelog ===
libntlm (1.5-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer over-read.
    - debian/patches/10_fix_buffer_overflow-CVE-2019-17455.patch: Fix
      buffer overflow.
    - debian/patches/20_test_CVE-2019-17455.patch: Add regression check
      for CVE-2019-17455 overflow.
    - CVE-2019-17455
  * debian/rules: Perform build in ./

 -- Spyros Seimenis <spyros.seimenis@canonical.com>  Fri, 08 Oct 2021 12:11:56 +0300

libntlm (1.5-2) unstable; urgency=low

  * Bump debhelper/compat from 11 to 12.
  * Update Standards-Version from 4.2.0 to 4.4.0.
  * Fix URL in README.source.
  * Update upstream-signing-key.pgp.
  * Add Build-Depends-Package to libntlm0.symbols.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 20 Jul 2019 20:57:31 +0200

libntlm (1.5-1) unstable; urgency=low

  * New upstream version.
  * Bump debhelper/compat from 9 to 11.
    - Drop --parallel and --with autoreconf.
    - Drop Build-Depends on dh-autoreconf.
  * Update Standards-Version from 3.9.8 to 4.2.0.
  * Reflect move to salsa in Vcs-* URLs.
  * Change maintainer to pkg-auth-maintainers instead of pkg-xmpp-devel.
  * Update copyright file (no license changes).
  * Use https watch URI.
  * Make libntlm0-dev Multi-Arch: same.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 24 Aug 2018 22:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: libntlm
 Priority: optional
-Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>,
  Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://www.nongnu.org/libntlm/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libntlm.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libntlm.git
+Vcs-Browser: https://salsa.debian.org/auth-team/libntlm
+Vcs-Git: https://salsa.debian.org/auth-team/libntlm.git
 
 Package: libntlm0-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libntlm0 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for the NTLM authentication library
  Libntlm is a library that implements Microsoft's NTLM authentication.
- This package contains all the files necessary for developing programs 
+ This package contains all the files necessary for developing programs
  with NTLM support.
 
 Package: libntlm0

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://www.nongnu.org/libntlm/releases/libntlm-(.+).tar.gz

## libntlm 1.6

=== debian/changelog ===
libntlm (1.6-4) UNRELEASED; urgency=medium

  * update

 -- Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>  Thu, 19 May 2022 10:21:39 +0800

libntlm (1.6-4) unstable; urgency=medium

  * [39c9827] Use gbp dch id-length 7.
  * [a198d58] Update Standards-Version to 4.6.0.
  * [8fb7138] Improve autopkgtests, use upstream self-tests.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 20 Aug 2021 09:56:08 +0200

libntlm (1.6-3) unstable; urgency=low

  * Update Standards-Version to 4.5.1.
  * Add autopkgtest.
  * Update d/watch to version 4.
  * Wrap-and-sort -b.
  * Put docs in libntlm0 package so everyone has it.
  * Add AUTHORS/THANKS to docs.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 19 Nov 2020 09:09:31 +0100

libntlm (1.6-2) unstable; urgency=low

  * Bump B-D debhelper-compat from 12 to 13.
  * Ignore .la file.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 01 Nov 2020 17:51:28 +0100

libntlm (1.6-1) unstable; urgency=low

  * New upstream version.
    - Fixed CVE-2019-17455 security issue. Closes: #942145.
  * Add Rules-Requires-Root: no.
  * Replace debian/compat with B-D on debhelper-compat (= 12).
  * Update Standards-Version from 4.4.0 to 4.5.0.
  * Use https in Homepage:.
  * Update upstream signing key.  Fixes public-upstream-key-not-minimal.
  * Add upstream/metadata.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 19 Apr 2020 10:42:28 +0200

libntlm (1.5-3) unstable; urgency=low

  * Use https URL in d/copyright.
  * Move d/upstream-signing-key.pgp to d/upstream/signing-key.asc.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 10 Aug 2019 19:10:28 +0200

=== debian/control ===
Source: libntlm
Priority: optional
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>,
           Simon Josefsson <simon@josefsson.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Section: libs
Homepage: https://www.nongnu.org/libntlm/
Vcs-Browser: https://salsa.debian.org/auth-team/libntlm
Vcs-Git: https://salsa.debian.org/auth-team/libntlm.git
Rules-Requires-Root: no

Package: libntlm0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NTLM authentication library
 NTLM is an authentication protocol used in various Microsoft network
 protocol implementations and supported by the NTLM Security Support
 Provider ("NTLMSSP"). Originally used for authentication and negotiation
 of secure DCE/RPC, NTLM is also used throughout Microsoft's systems as
 an integrated single sign-on mechanism.
 .
 NTLM employs a challenge-response mechanism for authentication, in  which
 clients are able to prove their identities without sending a  password to
 the server. It consists of three messages, commonly referred  to as Type 1
 (negotiation), Type 2 (challenge) and Type 3 (authentication).

Package: libntlm0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libntlm0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the NTLM authentication library
 Libntlm is a library that implements Microsoft's NTLM authentication.
 This package contains all the files necessary for developing programs
 with NTLM support.

=== debian/tests/control ===
Tests: libntlm
Depends: build-essential, libntlm0-dev, man, pkg-config

## libntlm 1.7

=== debian/changelog ===
libntlm (1.7-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:06:04 +0200

libntlm (1.7-1) unstable; urgency=medium

  * New upstream version.
  * Run wrap-and-sort.
  * Adapt d/tests/libntlm for internal changes.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 31 Dec 2023 14:32:33 +0100

libntlm (1.6-5) unstable; urgency=medium

  * Drop gbp dch id-length.
  * Fix d/watch URL.
  * Bump Standards-Version.
  * Drop obsolete d/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Jul 2023 21:49:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: libntlm
 Priority: optional
-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>,
-           Simon Josefsson <simon@josefsson.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>,
+ Simon Josefsson <simon@josefsson.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://www.nongnu.org/libntlm/
 Vcs-Browser: https://salsa.debian.org/auth-team/libntlm
@@ -14,8 +17,11 @@
 Package: libntlm0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: NTLM authentication library
  NTLM is an authentication protocol used in various Microsoft network
  protocol implementations and supported by the NTLM Security Support
@@ -32,7 +38,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libntlm0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libntlm0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Development files for the NTLM authentication library
  Libntlm is a library that implements Microsoft's NTLM authentication.
  This package contains all the files necessary for developing programs

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=build -X.la

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
     https://download.savannah.nongnu.org/releases/libntlm/libntlm-(.+).tar.gz

## libntlm 1.8

=== debian/changelog ===
libntlm (1.8-6) unstable; urgency=medium

  * Upload to unstable.
  * Handle make --shuffle.  Closes: #1105442.
  * Bump debian/* copyright years.
  * Fix d/copyright Source: URL.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 11 Aug 2025 22:41:07 +0200

libntlm (1.8-5) experimental; urgency=medium

  * Update Homepage: URL.
  * Run wrap-and-sort -satbk.
  * Silence lintian old-fsf-address-in-copyright-file.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 14 May 2025 11:17:38 +0200

libntlm (1.8-4) unstable; urgency=medium

  * Standards-Version: 4.7.2.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 15 Mar 2025 11:38:22 +0100

libntlm (1.8-3) unstable; urgency=medium

  * docs: Ship README.md.  Closes: #1069755.
  * Bump Standards-Version to 3.7.0.
  * Add debian/salsa-ci.yml to enable wrap-and-sort.
  * Gnulib fixes in debian/rules.
  * Change Maintainer to pkg-security and drop Thadeu Lima (thank you!)
    from Uploaders; adjusting Vcs-* URLs.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 15 Mar 2025 11:38:01 +0100

libntlm (1.8-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix metadata URLs.
  * Use not-installed files instead of -X.la.
  * Use gnulib's gnulibvars.mk.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 18 Apr 2024 10:22:13 +0200

libntlm (1.8-1) experimental; urgency=medium

  * New upstream version, now using minimal source-only tarball.
  * Added git and gnulib to Build-Depends.
  * override_dh_autoreconf: Run ./bootstrap instead of autoreconf.
  * tests: Don't use no longer shipped gnulib code.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Apr 2024 22:06:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: libntlm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.2
+ git,
+ gnulib (>= 20240412~dfb7117+stable202401.20240408~aa0aa87-2~),
+Standards-Version: 4.7.2
 Section: libs
-Homepage: https://www.nongnu.org/libntlm/
-Vcs-Browser: https://salsa.debian.org/auth-team/libntlm
-Vcs-Git: https://salsa.debian.org/auth-team/libntlm.git
+Homepage: https://gitlab.com/gsasl/libntlm/
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/libntlm
+Vcs-Git: https://salsa.debian.org/pkg-security-team/libntlm.git
 Rules-Requires-Root: no
 
 Package: libntlm0

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/gnulib/debian/gnulib-dpkg.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf --builddirectory=build

pull: dh_gnulib_clone
	./bootstrap --gnulib-srcdir=$(GNULIB_DEB_DEBIAN_GNULIB) --pull

dh_gnulib_patch: pull

gen: dh_gnulib_patch
	./bootstrap --gnulib-srcdir=$(GNULIB_DEB_DEBIAN_GNULIB) --gen

execute_before_dh_auto_configure: gen

=== debian/tests/control ===
Tests:
 libntlm,
Depends:
 build-essential,
 libntlm0-dev,
 man,
 pkg-config,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
     https://download.savannah.nongnu.org/releases/libntlm/libntlm-(.+)-src.tar.gz
